From b107f416368c37d9f009d73b423748b787db223a Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Tue, 22 Nov 2022 16:31:13 +0100
Subject: [PATCH v6 2/2] WIP: Dynamic result sets extended query tests

This is currently broken due to/since
acb7e4eb6b1c614c68a62fb3a6a5bba1af0a2659.
---
 .../regress/expected/create_procedure.out     | 31 +++++++++++++++++++
 src/test/regress/sql/create_procedure.sql     |  4 +++
 2 files changed, 35 insertions(+)

diff --git a/src/test/regress/expected/create_procedure.out b/src/test/regress/expected/create_procedure.out
index b3802bd7c1db..2ca9c93b110c 100644
--- a/src/test/regress/expected/create_procedure.out
+++ b/src/test/regress/expected/create_procedure.out
@@ -401,6 +401,15 @@ CALL pdrstest1();
  foo | bar
 (2 rows)
 
+CALL pdrstest1() \bind \g
+ a 
+---
+ 1
+ 2
+ 3
+(3 rows)
+
+server sent data ("D" message) without prior row description ("T" message)
 CREATE PROCEDURE pdrstest2()
 LANGUAGE SQL
 DYNAMIC RESULT SETS 1
@@ -414,6 +423,12 @@ CALL pdrstest2();
  1
 (1 row)
 
+CALL pdrstest2() \bind \g
+ a 
+---
+ 1
+(1 row)
+
 CREATE PROCEDURE pdrstest3(INOUT a text)
 LANGUAGE SQL
 DYNAMIC RESULT SETS 1
@@ -434,6 +449,13 @@ CALL pdrstest3('x');
  3
 (3 rows)
 
+CALL pdrstest3($1) \bind 'y' \g
+ a  
+----
+ yy
+(1 row)
+
+server sent data ("D" message) without prior row description ("T" message)
 -- test the nested error handling
 CREATE TABLE cp_test_dummy (a int);
 CREATE PROCEDURE pdrstest4a()
@@ -456,6 +478,15 @@ LINE 2: DECLARE c5a CURSOR WITH RETURN FOR SELECT * FROM cp_test_dum...
 QUERY:  
 DECLARE c5a CURSOR WITH RETURN FOR SELECT * FROM cp_test_dummy;
 
+CONTEXT:  SQL function "pdrstest4a" during startup
+SQL function "pdrstest4b" statement 1
+CALL pdrstest4b() \bind \g
+ERROR:  relation "cp_test_dummy" does not exist
+LINE 2: DECLARE c5a CURSOR WITH RETURN FOR SELECT * FROM cp_test_dum...
+                                                         ^
+QUERY:  
+DECLARE c5a CURSOR WITH RETURN FOR SELECT * FROM cp_test_dummy;
+
 CONTEXT:  SQL function "pdrstest4a" during startup
 SQL function "pdrstest4b" statement 1
 -- cleanup
diff --git a/src/test/regress/sql/create_procedure.sql b/src/test/regress/sql/create_procedure.sql
index c3970726a6e0..97bace7f5958 100644
--- a/src/test/regress/sql/create_procedure.sql
+++ b/src/test/regress/sql/create_procedure.sql
@@ -258,6 +258,7 @@ CREATE PROCEDURE pdrstest1()
 $$;
 
 CALL pdrstest1();
+CALL pdrstest1() \bind \g
 
 CREATE PROCEDURE pdrstest2()
 LANGUAGE SQL
@@ -268,6 +269,7 @@ CREATE PROCEDURE pdrstest2()
 $$;
 
 CALL pdrstest2();
+CALL pdrstest2() \bind \g
 
 CREATE PROCEDURE pdrstest3(INOUT a text)
 LANGUAGE SQL
@@ -278,6 +280,7 @@ CREATE PROCEDURE pdrstest3(INOUT a text)
 $$;
 
 CALL pdrstest3('x');
+CALL pdrstest3($1) \bind 'y' \g
 
 -- test the nested error handling
 CREATE TABLE cp_test_dummy (a int);
@@ -299,6 +302,7 @@ CREATE PROCEDURE pdrstest4b()
 DROP TABLE cp_test_dummy;
 
 CALL pdrstest4b();
+CALL pdrstest4b() \bind \g
 
 
 -- cleanup
-- 
2.38.1

